Calculate expected LLM usage
Calculates expected number of LLM tokens needed for the specified agent.
Path parameters
agent_id
Headers
xi-api-key
Request
This endpoint expects an object.
prompt_length
Length of the prompt in characters.
number_of_pages
Pages of content in pdf documents OR urls in agent's Knowledge Base.
rag_enabled
Whether RAG is enabled.
service_tier
Service tier to price against. Only affects models that offer the tier; others fall back to their standard price.
Allowed values:
Response
Successful Response
llm_prices
Errors
422
Unprocessable Entity Error